KerberosDelegationTokenAuthenticator (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security.token.delegation.web, class: KerberosDelegationTokenAuthenticator

Package org.apache.hadoop.security.token.delegation.web

# Class KerberosDelegationTokenAuthenticator

java.lang.Object
org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticator
org.apache.hadoop.security.token.delegation.web.KerberosDelegationTokenAuthenticator

All Implemented Interfaces:
  `org.apache.hadoop.security.authentication.client.Authenticator`

@Public @Evolving public class KerberosDelegationTokenAuthenticator extends DelegationTokenAuthenticator
The `KerberosDelegationTokenAuthenticator` provides support for Kerberos SPNEGO authentication mechanism and support for Hadoop Delegation Token operations.

It falls back to the `PseudoDelegationTokenAuthenticator` if the HTTP endpoint does not trigger a SPNEGO authentication

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticator

  `DelegationTokenAuthenticator.DelegationTokenOperation`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticator

  `DELEGATION_PARAM, DELEGATION_TOKEN_HEADER, DELEGATION_TOKEN_JSON, DELEGATION_TOKEN_URL_STRING_JSON, OP_PARAM, RENEW_DELEGATION_TOKEN_JSON, RENEWER_PARAM, SERVICE_PARAM, TOKEN_PARAM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KerberosDelegationTokenAuthenticator()`

- ## Method Summary

  ### Methods inherited from class org.apache.hadoop.security.token.delegation.web.DelegationTokenAuthenticator

  `authenticate, cancelDelegationToken, cancelDelegationToken, getDelegationToken, getDelegationToken, renewDelegationToken, renewDelegationToken, setConnectionConfigurator`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KerberosDelegationTokenAuthenticator

    public KerberosDelegationTokenAuthenticator()